IAR Embedded Workbench for MSP430 4.21 and 5.x compatibilty

Technical Note 98008

Targets:
MSP430

Component:
Debugger

Updated:
6/30/2011 9:32 AM

Introduction

After using (only once) IAR Embedded Workbench for MSP430 version 5.xx via USB-FET, it is not possible to debug with IAR Embedded Workbench for MSP430 version 4.21 or older.

Solution

The USB driver installed by IAR Embedded Workbench for MSP430 version 5.xx can be uninstalled and replaced by the USB driver from 4.xx. See Technical Note 52827 for detailed instructions.

Background

The "Windows driver package" (umpusbvista) for the FET-USB is used with IAR Embedded Workbench for MSP430 version 5.10 and newer. The FET firmware is also automatically updated when using version 5.xx. The updated USB driver / firmware is incompatible with IAR Embedded Workbench for MSP430 version 4.21 and older.

 

All product names are trademarks or registered trademarks of their respective owners.

Related Tech Notes

© IAR Systems 1995-2016 - All rights reserved.